Bug 129171 - pppd causes stack overflow(?) on exit (single line fix)
Summary: pppd causes stack overflow(?) on exit (single line fix)
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ppp   
(Show other bugs)
Version: 2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact:
URL: http://marc.theaimsgroup.com/?l=linux...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-04 18:21 UTC by Kevin R. Page
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-06 11:07:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kevin R. Page 2004-08-04 18:21:32 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7) Gecko/20040620

Description of problem:
When pppd exits - in our case when the Speedtouch USB ADSL Modem
userspace driver/software sends a kill -15 to close an ADSL connection
- it doesn't cleanly terminate its processes, instead it gets into an
infinite loop, presumably causing a stack overflow (see log below, the
termination message repeats 12632 times).

This, in turn, prevents any scripts (ip-down etc.) running as they
should after ppp exits.

The bug is described, along with single line fix, at:
http://marc.theaimsgroup.com/?l=linux-ppp&m=107498594022952&w=2

It's also fixed in ppp 2.4.2beta3.

Version-Release number of selected component (if applicable):
ppp-2.4.2-3.FC2.1

How reproducible:
Always

Steps to Reproduce:
1. establish ppp connection (USB Speedtouch ADSL modem, userspace driver)
2. send pppd process kill -15
3. 
    

Additional info:

/var/log/messages :

Aug  3 19:29:59 norbus pppd[2319]: Terminating on signal 15.
Aug  3 19:30:02 norbus last message repeated 12632 times
Aug  3 19:30:02 norbus pppoa3[2305]: Error reading from source device
Aug  3 19:30:02 norbus pppoa3[2305]: Woken by a sem_post event -> Exiting
Aug  3 19:30:02 norbus pppoa3[2305]: Write to usb Canceled
Aug  3 19:30:02 norbus pppoa3[2305]: Exiting
Aug  3 19:30:02 norbus kernel: Badness in local_bh_enable at
kernel/softirq.c:136
Aug  3 19:30:02 norbus kernel:  [<0211ae78>] local_bh_enable+0x39/0x56

[call trace follows]

Comment 1 Thomas Woerner 2004-08-06 11:07:12 UTC
Fixed in rawhide in rpm ppp-2.4.2-4 or newer.


Note You need to log in before you can comment on or make changes to this bug.